Index: arch/ia32/src/smp/apic.c
===================================================================
--- arch/ia32/src/smp/apic.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ arch/ia32/src/smp/apic.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -174,5 +174,5 @@
  *
  * @param n Interrupt vector.
- * @param stack Interrupted stack.
+ * @param istate Interrupted state.
  */
 void apic_spurious(int n, istate_t *istate)
@@ -444,5 +444,5 @@
  *
  * @param n Interrupt vector number.
- * @param stack Interrupted stack.
+ * @param istate Interrupted state.
  */
 void l_apic_timer_interrupt(int n, istate_t *istate)
@@ -483,5 +483,5 @@
  *
  * @param address IO APIC register address.
- * @param Content to be written to the addressed IO APIC register.
+ * @param x Content to be written to the addressed IO APIC register.
  */
 void io_apic_write(__u8 address, __u32 x)
Index: arch/ia64/include/asm.h
===================================================================
--- arch/ia64/include/asm.h	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ arch/ia64/include/asm.h	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -83,5 +83,5 @@
 /** Write IVA (Interruption Vector Address) register.
  *
- * @param New location of interruption vector table.
+ * @param v New location of interruption vector table.
  */
 static inline void iva_write(__u64 v)
@@ -106,5 +106,5 @@
 /** Write ITC (Interval Timer Counter) register.
  *
- * @param New counter value.
+ * @param v New counter value.
  */
 static inline void itc_write(__u64 v)
@@ -128,5 +128,5 @@
 /** Write ITM (Interval Timer Match) register.
  *
- * @param New match value.
+ * @param v New match value.
  */
 static inline void itm_write(__u64 v)
@@ -163,5 +163,5 @@
 /** Write ITV (Interval Timer Vector) register.
  *
- * @param New vector and mask bit.
+ * @param v New vector and mask bit.
  */
 static inline void itv_write(__u64 v)
@@ -172,5 +172,5 @@
 /** Write EOI (End Of Interrupt) register.
  *
- * @param This value is ignored.
+ * @param v This value is ignored.
  */
 static inline void eoi_write(__u64 v)
@@ -194,5 +194,5 @@
 /** Write TPR (Task Priority Register).
  *
- * @param New value of TPR.
+ * @param v New value of TPR.
  */
 static inline void tpr_write(__u64 v)
Index: arch/ia64/include/faddr.h
===================================================================
--- arch/ia64/include/faddr.h	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ arch/ia64/include/faddr.h	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -43,5 +43,5 @@
  * referenced by fptr pointer.
  *
- * @param fptr Function pointer.
+ * @param f Function pointer.
  *
  */
Index: arch/ia64/src/mm/page.c
===================================================================
--- arch/ia64/src/mm/page.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ arch/ia64/src/mm/page.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -211,5 +211,5 @@
 /** Set up one VHPT entry.
  *
- * @param t VHPT entry to be set up.
+ * @param v VHPT entry to be set up.
  * @param page Virtual address of the page mapped by the entry.
  * @param asid Address space identifier of the address space to which page belongs.
Index: arch/ia64/src/mm/tlb.c
===================================================================
--- arch/ia64/src/mm/tlb.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ arch/ia64/src/mm/tlb.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -298,5 +298,5 @@
  * @param asid Address space identifier.
  * @param entry The rest of TLB entry as required by TLB insertion format.
- * @param dtc If true, insert into data translation register, use instruction translation register otherwise.
+ * @param dtr If true, insert into data translation register, use instruction translation register otherwise.
  * @param tr Translation register.
  */
Index: arch/ppc32/src/mm/page.c
===================================================================
--- arch/ppc32/src/mm/page.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ arch/ppc32/src/mm/page.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -68,5 +68,5 @@
  */
 static pte_t *find_mapping_and_check(as_t *as, bool lock, __address badvaddr, int access,
-				     istate_t *istate, int *pfcr)
+				     istate_t *istate, int *pfrc)
 {
 	/*
@@ -100,10 +100,10 @@
 			case AS_PF_DEFER:
 				page_table_lock(as, lock);
-				*pfcr = rc;
+				*pfrc = rc;
 				return NULL;
 			case AS_PF_FAULT:
 				page_table_lock(as, lock);
 				printf("Page fault.\n");
-				*pfcr = rc;
+				*pfrc = rc;
 				return NULL;
 			default:
@@ -191,5 +191,5 @@
 /** Process Instruction/Data Storage Interrupt
  *
- * @param data   True if Data Storage Interrupt.
+ * @param n Interrupt vector number.
  * @param istate Interrupted register context.
  *
@@ -199,5 +199,5 @@
 	__address badvaddr;
 	pte_t *pte;
-	int pfcr;
+	int pfrc;
 	as_t *as;
 	bool lock;
@@ -221,7 +221,7 @@
 	page_table_lock(as, lock);
 	
-	pte = find_mapping_and_check(as, lock, badvaddr, PF_ACCESS_READ /* FIXME */, istate, &pfcr);
+	pte = find_mapping_and_check(as, lock, badvaddr, PF_ACCESS_READ /* FIXME */, istate, &pfrc);
 	if (!pte) {
-		switch (pfcr) {
+		switch (pfrc) {
 			case AS_PF_FAULT:
 				goto fail;
@@ -235,5 +235,5 @@
 				return;
 			default:
-				panic("Unexpected pfrc (%d)\n", pfcr);
+				panic("Unexpected pfrc (%d)\n", pfrc);
 		}
 	}
Index: arch/ppc64/src/mm/page.c
===================================================================
--- arch/ppc64/src/mm/page.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ arch/ppc64/src/mm/page.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -67,5 +67,5 @@
  */
 static pte_t *find_mapping_and_check(as_t *as, bool lock, __address badvaddr, int access,
-				     istate_t *istate, int *pfcr)
+				     istate_t *istate, int *pfrc)
 {
 	/*
@@ -99,10 +99,10 @@
 			case AS_PF_DEFER:
 				page_table_lock(as, lock);
-				*pfcr = rc;
+				*pfrc = rc;
 				return NULL;
 			case AS_PF_FAULT:
 				page_table_lock(as, lock);
 				printf("Page fault.\n");
-				*pfcr = rc;
+				*pfrc = rc;
 				return NULL;
 			default:
@@ -198,5 +198,5 @@
 	__address badvaddr;
 	pte_t *pte;
-	int pfcr;
+	int pfrc;
 	as_t *as;
 	bool lock;
@@ -220,7 +220,7 @@
 	page_table_lock(as, lock);
 	
-	pte = find_mapping_and_check(as, lock, badvaddr, PF_ACCESS_READ /* FIXME */, istate, &pfcr);
+	pte = find_mapping_and_check(as, lock, badvaddr, PF_ACCESS_READ /* FIXME */, istate, &pfrc);
 	if (!pte) {
-		switch (pfcr) {
+		switch (pfrc) {
 			case AS_PF_FAULT:
 				goto fail;
@@ -234,5 +234,5 @@
 				return;
 			default:
-				panic("Unexpected pfrc (%d)\n", pfcr);
+				panic("Unexpected pfrc (%d)\n", pfrc);
 		}
 	}
Index: arch/sparc64/include/asm.h
===================================================================
--- arch/sparc64/include/asm.h	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ arch/sparc64/include/asm.h	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -56,5 +56,5 @@
 /** Write Processor State register.
  *
- * @param New value of PSTATE register.
+ * @param v New value of PSTATE register.
  */
 static inline void pstate_write(__u64 v)
@@ -78,5 +78,5 @@
 /** Write TICK_compare Register.
  *
- * @param New value of TICK_comapre register.
+ * @param v New value of TICK_comapre register.
  */
 static inline void tick_compare_write(__u64 v)
@@ -100,5 +100,5 @@
 /** Write TICK Register.
  *
- * @param New value of TICK register.
+ * @param v New value of TICK register.
  */
 static inline void tick_write(__u64 v)
@@ -122,5 +122,5 @@
 /** Write SOFTINT Register.
  *
- * @param New value of SOFTINT register.
+ * @param v New value of SOFTINT register.
  */
 static inline void softint_write(__u64 v)
@@ -133,5 +133,5 @@
  * Bits set in CLEAR_SOFTINT register will be cleared in SOFTINT register.
  *
- * @param New value of CLEAR_SOFTINT register.
+ * @param v New value of CLEAR_SOFTINT register.
  */
 static inline void clear_softint_write(__u64 v)
@@ -271,5 +271,5 @@
 /** Write Trap Base Address register.
  *
- * @param New value of TBA.
+ * @param v New value of TBA.
  */
 static inline void tba_write(__u64 v)
Index: genarch/src/i8042/i8042.c
===================================================================
--- genarch/src/i8042/i8042.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ genarch/src/i8042/i8042.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -319,5 +319,5 @@
  *
  * @param n Interrupt vector.
- * @param stack Interrupted stack.
+ * @param istate Interrupted state.
  */
 void i8042_interrupt(int n, istate_t *istate)
Index: generic/src/adt/btree.c
===================================================================
--- generic/src/adt/btree.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ generic/src/adt/btree.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -215,5 +215,5 @@
 /** Remove B-tree node.
  *
- * @param B-tree.
+ * @param t B-tree.
  * @param key Key to be removed from the B-tree along with its associated value.
  * @param leaf_node If not NULL, pointer to the leaf node where the key is found.
@@ -235,5 +235,5 @@
 /** Recursively remove B-tree node.
  *
- * @param B-tree.
+ * @param t B-tree.
  * @param key Key to be removed from the B-tree along with its associated value.
  * @param node Node where the key being removed resides.
@@ -903,5 +903,5 @@
 /** Rotate in a key from the right sibling or from the index node, if this operation can be done.
  *
- * @param rnode Node into which to add key from its right sibling or from the index node.
+ * @param lnode Node into which to add key from its right sibling or from the index node.
  *
  * @return True if the rotation was performed, false otherwise.
Index: generic/src/adt/hash_table.c
===================================================================
--- generic/src/adt/hash_table.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ generic/src/adt/hash_table.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -78,5 +78,5 @@
  *
  * @param h Hash table.
- * @param hey Array of all keys necessary to compute hash index.
+ * @param key Array of all keys necessary to compute hash index.
  * @param item Item to be inserted into the hash table.
  */
Index: generic/src/console/console.c
===================================================================
--- generic/src/console/console.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ generic/src/console/console.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -118,5 +118,5 @@
  * @param chardev Character device.
  * @param buf Buffer where to store string terminated by '\0'.
- * @param len Size of the buffer.
+ * @param buflen Size of the buffer.
  *
  * @return Number of characters read.
Index: generic/src/console/kconsole.c
===================================================================
--- generic/src/console/kconsole.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ generic/src/console/kconsole.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -404,5 +404,5 @@
 /** Kernel console managing thread.
  *
- * @param arg Not used.
+ * @param prompt Kernel console prompt (e.g kconsole/panic).
  */
 void kconsole(void *prompt)
Index: generic/src/ddi/ddi.c
===================================================================
--- generic/src/ddi/ddi.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ generic/src/ddi/ddi.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -169,5 +169,5 @@
 /** Wrapper for SYS_ENABLE_IOSPACE syscall.
  *
- * @param User space address of DDI argument structure.
+ * @param uspace_io_arg User space address of DDI argument structure.
  *
  * @return 0 on success, otherwise it returns error code found in errno.h
Index: generic/src/ipc/ipc.c
===================================================================
--- generic/src/ipc/ipc.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ generic/src/ipc/ipc.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -210,6 +210,6 @@
 /** Send a asynchronous request using phone to answerbox
  *
- * @param phone Phone connected to answerbox
- * @param request Request to be sent
+ * @param phone Phone connected to answerbox.
+ * @param call Structure representing the call.
  */
 int ipc_call(phone_t *phone, call_t *call)
Index: generic/src/lib/func.c
===================================================================
--- generic/src/lib/func.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ generic/src/lib/func.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -136,5 +136,5 @@
  *
  * @param src Source string.
- * @param dst Destination buffer.
+ * @param dest Destination buffer.
  * @param len Size of destination buffer.
  */
Index: generic/src/mm/buddy.c
===================================================================
--- generic/src/mm/buddy.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ generic/src/mm/buddy.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -287,5 +287,5 @@
  *
  * @param b Pointer to buddy system
- * @param es Element size
+ * @param elem_size Element size
  */
 void buddy_system_structure_print(buddy_system_t *b, size_t elem_size) {
Index: generic/src/mm/frame.c
===================================================================
--- generic/src/mm/frame.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ generic/src/mm/frame.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -996,5 +996,5 @@
  * If it drops to zero, move the frame structure to free list.
  *
- * @param frame Frame number to be freed.
+ * @param pfn Frame number of the frame to be freed.
  */
 void frame_free(pfn_t pfn)
@@ -1022,5 +1022,5 @@
  * increment frame reference count.
  *
- * @param frame Frame no to be freed.
+ * @param pfn Frame number of the frame to be freed.
  */
 void frame_reference_add(pfn_t pfn)
@@ -1113,7 +1113,7 @@
 }
 
-/** Prints zone details
- *
- * @param base Zone base address OR zone number
+/** Prints zone details.
+ *
+ * @param num Zone base address or zone number.
  */
 void zone_print_one(int num) {
Index: generic/src/proc/scheduler.c
===================================================================
--- generic/src/proc/scheduler.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ generic/src/proc/scheduler.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -254,5 +254,5 @@
  * When the function decides to relink rq's, it reconnects
  * respective pointers so that in result threads with 'pri'
- * greater or equal @start are moved to a higher-priority queue.
+ * greater or equal start are moved to a higher-priority queue.
  *
  * @param start Threshold priority.
Index: generic/src/syscall/copy.c
===================================================================
--- generic/src/syscall/copy.c	(revision b6529aefe60a3a99601ed01142f3ae38056aed50)
+++ generic/src/syscall/copy.c	(revision abbc16e9bc4db4ecd88808e50f3cf7b37cb85310)
@@ -95,5 +95,5 @@
  *
  * @param uspace_dst Destination userspace address.
- * @param uspace_src Source kernel address.
+ * @param src Source kernel address.
  * @param size Size of the data to be copied.
  *
